OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Enumerations | Variables
sound_type.h File Reference

Types related to sounds. More...

Go to the source code of this file.

## Data Structures
struct | SoundEntry

## Typedefs
typedef uint16 | SoundID

## Enumerations
enum | SoundFx { SND_BEGIN = 0, SND_02_SPLAT_WATER = 0, SND_03_FACTORY_WHISTLE, SND_04_TRAIN, SND_05_TRAIN_THROUGH_TUNNEL, SND_06_SHIP_HORN, SND_07_FERRY_HORN, SND_08_PLANE_TAKE_OFF, SND_09_JET, SND_0A_TRAIN_HORN, SND_0B_MINING_MACHINERY, SND_0C_ELECTRIC_SPARK, SND_0D_STEAM, SND_0E_LEVEL_CROSSING, SND_0F_VEHICLE_BREAKDOWN, SND_10_TRAIN_BREAKDOWN, SND_11_CRASH, SND_12_EXPLOSION, SND_13_BIG_CRASH, SND_14_CASHTILL, SND_15_BEEP, SND_16_MORSE, SND_17_SKID_PLANE, SND_18_HELICOPTER, SND_19_BUS_START_PULL_AWAY, SND_1A_BUS_START_PULL_AWAY_WITH_HORN, SND_1B_TRUCK_START, SND_1C_TRUCK_START_2, SND_1D_APPLAUSE, SND_1E_OOOOH, SND_1F_SPLAT_OTHER, SND_20_SPLAT_RAIL, SND_21_JACKHAMMER, SND_22_CAR_HORN, SND_23_CAR_HORN_2, SND_24_SHEEP, SND_25_COW, SND_26_HORSE, SND_27_BLACKSMITH_ANVIL, SND_28_SAWMILL, SND_00_GOOD_YEAR, SND_01_BAD_YEAR, SND_29_RIP, SND_2A_EXTRACT_AND_POP, SND_2B_COMEDY_HIT, SND_2C_MACHINERY, SND_2D_RIP_2, SND_2E_EXTRACT_AND_POP, SND_2F_POP, SND_30_CARTOON_SOUND, SND_31_EXTRACT, SND_32_POP_2, SND_33_PLASTIC_MINE, SND_34_WIND, SND_35_COMEDY_BREAKDOWN, SND_36_CARTOON_CRASH, SND_37_BALLOON_SQUEAK, SND_38_CHAINSAW, SND_39_HEAVY_WIND, SND_3A_COMEDY_BREAKDOWN_2, SND_3B_JET_OVERHEAD, SND_3C_COMEDY_CAR, SND_3D_ANOTHER_JET_OVERHEAD, SND_3E_COMEDY_CAR_2, SND_3F_COMEDY_CAR_3, SND_40_COMEDY_CAR_START_AND_PULL_AWAY, SND_41_MAGLEV, SND_42_LOON_BIRD, SND_43_LION, SND_44_MONKEYS, SND_45_PLANE_CRASHING, SND_46_PLANE_ENGINE_SPUTTERING, SND_47_MAGLEV_2, SND_48_DISTANT_BIRD, SND_END }
| Sound effects from baseset. More...

## Variables
static const uint | ORIGINAL_SAMPLE_COUNT = 73
| The number of sounds in the original sample.cat.
static const SoundID | INVALID_SOUND = 0xFFFF

## Detailed Description

Types related to sounds.

Definition in file sound_type.h.

## Enumeration Type Documentation

enum SoundFx

Sound effects from baseset.

This enum contains the sound effects from the sound baseset. For hysterical raisins the order of sound effects in the baseset is different to the order they are referenced in TTD/NewGRF.

- The first two sound effects from the baseset are inserted at position 39. (see translation table _sound_idx)
- The order in the enum is the order using in TTD/NewGRF.
- The naming of the enum values includes the position in the baseset. That is, for sound effects 0x02 to 0x28 the naming is off-by-two.

Enumerator:

  SND_02_SPLAT_WATER | Water construction.
  SND_1F_SPLAT_OTHER | Non-water non-rail construction.
  SND_20_SPLAT_RAIL | Rail construction.

Definition at line 39 of file sound_type.h.